# Generated by go2rpm 1.6.0
%bcond_without check

# https://git.sr.ht/~rjarry/aerc
%global goipath         git.sr.ht/~rjarry/aerc
Version:                0.15.2
%global topdir          %{name}-%{version}

%gometa

%global common_description %{expand:
Aerc is an email client that runs in your terminal. It's highly
efficient and extensible, perfect for the discerning hacker.}

%global golicenses      LICENSE
%global godocs          doc README.md

Name:           aerc
Release:        %autorelease
Summary:        Email client for your terminal

License:        MIT
URL:            %{gourl}
# The forge macros don't support Sourcehut.
# https://src.fedoraproject.org/rpms/redhat-rpm-config/pull-request/209
Source:         %{gourl}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  scdoc
BuildRequires:  desktop-file-utils
BuildRequires:  gnupg
BuildRequires:  notmuch-devel
BuildRequires:  gcc

Requires:       notmuch

%description
%{common_description}

%prep
%goprep
%autopatch -p1

# Disable building of aerc that we handle manually in the SPEC and
# preserve mtimes
sed -e 's|install: $(DOCS) aerc wrap|install: $(DOCS)|' \
    -e 's|install -m|install -pm|' \
    -i Makefile

# From go.mod replace statements:
# replace golang.org/x/crypto => github.com/ProtonMail/go-crypto v0.0.0-20200420072808-71bec3603bf3
# replace github.com/zenhack/go.notmuch => github.com/brunnre8/go.notmuch v0.0.0-20201126061756-caa2daf7093c
sed -i "s|golang.org/x/crypto|github.com/ProtonMail/go-crypto|" $(find . -name "*.go" -type f)
sed -i "s|github.com/zenhack/go.notmuch|github.com/brunnre8/go.notmuch|" $(find . -name "*.go" -type f)

%generate_buildrequires
%go_generate_buildrequires
echo 'golang(github.com/brunnre8/go.notmuch)'

%build
%set_build_flags
make wrap colorize
export BUILDTAGS=notmuch
export LDFLAGS="-X main.Version=%{version} \
                -X main.Prefix=%{_prefix} \
                -X main.Flags=$(echo -- $(GOFLAGS) | base64 | tr -d '\r\n') \
                -X git.sr.ht/~rjarry/aerc/config.shareDir=%{_datadir} \
                -X git.sr.ht/~rjarry/aerc/config.libexecDir=%{_libexecdir}"
%gobuild -o aerc %{goipath}

%install
export PREFIX=%{_prefix}
%make_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/aerc.desktop

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc doc README.md
%{_bindir}/aerc
%{_datadir}/aerc/
%{_datadir}/applications/aerc.desktop
%{_libexecdir}/aerc/
%{_mandir}/man1/aerc-*.1.*
%{_mandir}/man1/aerc.1*
%{_mandir}/man5/aerc-*.5.*
%{_mandir}/man7/aerc-*.7.*

%changelog
%autochangelog
